@font-face {
    font-family: "ocrbmt";
    src: url("ocrbmt.ttf") format("truetype");
}

@font-face {
    font-family: "cascadia";
    src: url("cascadia-mono-semi-bold.ttf") format("truetype");
}

.ocrbmt {
    font-family: "ocrbmt", sans-serif;
}

.cascadia {
    font-family: "cascadia", sans-serif;
}

.italic {
    font-style: italic;
}

.bold {
    font-weight: bold;
}

.blue {
    color: #1f94d8;
}

body, html {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    /* font-family: 'Aptos', sans-serif; */
}

.sticky-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    top: 0;
    width: 100%;
    background: #FFFFFF;
    padding: 2px 0 2px 0;
    z-index: 1000;
    box-shadow: 0px 1px 0px 0px #dceafe, 
                0px 2px 0px 0px #a6cafc, 
                0px 3px 0px 0px #5e9ff9, 
                0px 7px 0px 0px #287ff6, 
                0px 8px 0px 0px #4c95f8, 
                0px 9px 0px 0px #5e9ff9, 
                0px 8px 10px rgba(0, 0, 0, 0.5); /* Actual shadow */
}
    .sticky-header nav {
        display: flex;
        align-items: center;
        width: 100%;
        padding: 0 10px;
    }

.nav-logo {
    margin: 10px 0px;
    transition: height 0.02s ease;
    height: 30px; /*changed from 64px*/
    max-height: 40px;
}

.company-name {
    white-space: nowrap;
    background: none;
    border: none;
    margin-right: 10px;
}

.sticky-header nav button {
    font-size: 20px;
    background: none;
    border: none;
    cursor: pointer;
    font-weight: 900;
    font-family: "cascadia", sans-serif;
}

.menu {
    display: flex;
    align-items: center;
}
    .menu button {
        color: #231f20;
        background: none;
        border: none;
        margin: 0 10px;
        cursor: pointer;
    }

.menu-toggle {
    display: none;
}
    .menu-toggle.is-active {
        font-size: 24px;
        margin-top: 19px;
        margin-bottom: auto;
        padding: 0 5px;
    }

@media screen and (max-width: 564px) { /* Adjust breakpoint as needed */
    .menu button:not(.company-name):not(.menu-toggle) {
        display: none;
    }
    .menu-toggle {
        display: block;
        margin-left: auto;
    }
    .menu.expanded {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        padding: 5px 0; /* Space below the brand name */
    }
        .menu.expanded button:not(.menu-toggle) {
            display: block;
            margin-top: 2.5px;
            margin-bottom: 2.5px;
        }

}

.content-section {
    min-height: 10vh;
    padding: 10px 40px;
    background-attachment: fixed;
    text-align: center;
    background-size: cover;
    background-position: center center;
    scroll-margin-top: 50px;
}

#home {
    background-image: url('home-background.jpg');
    background: #F7F8FA; /*changed from #000*/
    padding: 40px;
}

#banner{
    background: linear-gradient(
         to bottom,
        #b6dcf2 0%,
        #cbe8f8 50%,
        #b6dcf2 100%
    );}

#product {
    background: #F7F8FA; /*changed from #000*/
}

#mission {
    background-image: url('mission-background.jpg');
    background: #F7F8FA; /*changed from #000*/
}

#about {
    background-image: url('about-background.jpg');
    background: #F7F8FA; /*changed from #000*/
}

#team {
    background-image: url('team-background.jpg');
    background: #F7F8FA; /*changed from #000*/
}

#socials {
    background-image: url('socials-background.jpg');
    background: #F7F8FA; /*changed from #000*/
}

#showcase {
    background-image: url('light-background.jpg');
    background: #F7F8FA; /*changed from #000*/
}

#contact {
    background-image: url('light-background.jpg');
    background: #F7F8FA; /*changed from #000*/
}

#footer {
    background: #F7F8FA; /*changed from #000*/
}

.social-button {
    border: none; /* Removes border around image links in some browsers */
    text-decoration: none; /* Ensures no underline appears */
    margin: 0 3px;
}
    .social-button:hover {
        opacity: 0.7; /* Makes the image slightly transparent on hover */
        cursor: pointer; /* Changes the cursor to indicate the link is clickable */
    }

h1 {
    font-size: 58px;
    font-weight: 900;
    font-family: "cascadia", sans-serif;
    margin: 30px auto 5px auto;
}

h2 {
    font-size: 30px;
    font-weight: 900;
    font-family: "ocrbmt", sans-serif;
    font-variant: small-caps;
    margin: 25px auto 25px auto;
}

h3 {
    font-size: 15pt;
    font-family: "ocrbmt", sans-serif;
    margin: 5px auto;
    font-weight: 700;
    transition: font-size 4.5s ease-out;
}

p {
    font-size: 18px;
    font-family:"Aptos", sans-serif;
    margin: 20px auto;
    text-align: left;
}

h1, h2 {
    color: #231f20; /*primary color*/
}

h3, p {
    color: #4B5563; /*secondary color*/
    /*color: #92a3c4 #677899 #777799 #b1b1b1;*/
}

h2, h3, p, .fade-in {
    opacity: 0;
    transition: opacity 1.5s ease-out;
}

h1, h2, h3, p {
    max-width: 600px;
}

.prominent-logo {
    height: 180px;
    margin: 20px auto 0px;
}

.work-with-us{
    margin-top: 80px;
    margin-bottom: 20px;
}

.work-with-us-text{
    text-align: center;
}

.initial-fade {
    transition: opacity 0.8s ease-out, transform 0.95s ease-out;
    opacity: 0;
    transform: translateY(14px);
}

.product-intro {
    text-align: center;
    font-size: 24px;
    font-weight: 400;
}

.product-comprising {
    display: flex;
    flex-direction: row;
    align-items: center;
    max-width: 540px;
    margin: 5px auto;
}

.product-device {
    color: #dedeef;
    margin: auto 20px;
    text-align: center;
    width: 210px;
}

@media screen and (max-width: 590px) {
    .content-section {
        padding: 10px 30px;
    }
    h1 {
        font-size: 36px;
        margin-top: 40px;
    }
}

.motto{
    font-size: 15pt;
    font-family: "Aptos", sans-serif;
    margin: 10px auto;
    font-weight: 100;
    text-align: center;
}

.banner{
    height: 60px;
    display: flex;
    justify-content: center; /* horizontal */
    align-items: center;     /* vertical */
    font-size: 36pt;
}

.banner-message{
    font-family: "ocrbmt", sans-serif;
    text-align: center;
    margin: 0 20px 0 20px;
}

.carousel-row {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.carousel-column {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.carousel {
    max-width: 700px;
    margin: 40px auto;
    overflow: hidden;
    border-radius: 16px;
    box-shadow: 0 12px 40px rgba(17,24,39,0.18);
    position: relative;
}

.carousel-arrow {
    top: 50%;
    position: relative;
    /* transform: translateY(-50%); */
    color: black;
    border: none;
    cursor: pointer;
    width: 20px;
    height: 40px;
    border-radius: 30%;
    font-size: 20px;
    z-index: 10;
}

.carousel-arrow.left {
    left: -5px;
}

.carousel-arrow.right {
    right: -5px;
}

.carousel-arrow:hover {
    background: rgba(156, 156, 156, 0.5);
}

.carousel-track {
    display: flex;
    transition: transform 0.8s ease;
}

.carousel-track img {
    width: 100%;
    flex-shrink: 0;
    display: block;
}

.carousel-pair {
    margin: auto;
    margin-top: 10px;
    width: 80%;
    max-width: 800px;
    align-items: center;
    display: flex;
    flex-direction: row;
}

/* .carousel-title {
    margin: 0px auto;
    text-align: center;
    color: #231f20;
    font-weight: 900;
} */

.carousel-text-box {
    flex: 1;
    margin: 20px 20px;
    max-width: 400px;
    max-height: 70vh;
    overflow-y: auto;
    padding: 24px;

    border-radius: 15px;
    background: #b6dcf270;
    border: solid;
    border-color: #90caed;
    border-width: 3px;
    box-shadow: 0 4px 8px rgba(17,24,39,0.25),
    0 16px 32px rgba(17,24,39,0.35);

}

.carousel-description {
    color: #334155;
    max-width: 360px;
    margin-bottom: 0px;
    font-weight: 500;
    text-align: center;
}

.carousel-dots {
    display: flex;
    justify-content: center;
    gap: 10px;
    position: relative;
    top: -20px;
}

.dot {
    width: 9px;
    height: 9px;
    border-radius: 50%;
    background: #ccc;
    cursor: pointer;
    transition: 0.3s;
}

.dot.active {
    background: #333;
}

@media screen and (min-width: 400px) {
    
    .carousel {
        height: 70vh;
        width: auto;        /* shrink width on laptop */
        aspect-ratio: 1669/2160;
        max-width: 900px;   /* optional upper limit */
        margin: 40px auto;
    }

    .carousel-track {
        height: 100%;
    }

    .carousel-track img {
        width: 100%;
        height: 100%;
        object-fit: block;
    }
}

@media screen and (max-width: 850px) {
    .carousel-pair {
        flex-direction: column;
        width: 90%;
        align-items: center;
        text-align: center;
    }

    .carousel-text p {
        margin: 0;
        height: auto;
    }

    .carousel-text-box{
        margin: 20px 0px;
    }
}

.product-features {
    max-width: 640px;
    display: flex;
    flex-direction: column;
    margin: 0px auto 20px auto;
}

.feature-pair {
    margin-top: 60px;
    align-items: center;
    display: flex;
    flex-direction: row;
}

.feature-pair-reverse {
    margin-top: 60px;
    align-items: center;
    display: flex;
    flex-direction: row-reverse;
}

.feature-card {
    height: auto;
    background: #b6dcf270;
    border-radius: 15px;
    text-align: center;
    width: auto;
    margin: 0;
    padding: 24px;
    border: solid;
    border-color: #90caed;
    border-width: 3px;
    box-shadow: 0 4px 8px rgba(17,24,39,0.25),
    0 16px 32px rgba(17,24,39,0.35);
}

.feature-name {
    margin: 0px auto;
    text-align: center;
    color: #231f20;
    font-family: "ocrbmt", sans-serif;
    font-weight: 900;
}

.feature-description {
    color: #334155;
    max-width: 360px;
    margin-bottom: 0px;
    font-weight: 500;
}

.feature-icon {
    height: 140px;
    margin: auto;
}

@media screen and (max-width: 720px) {
    .feature-pair {
        flex-direction: column-reverse;
        margin-top: 44px;
    }
    .feature-pair-reverse {
        flex-direction: column-reverse;
        margin-top: 44px;
    }
    .feature-icon {
        margin-bottom: 16px;
    }

}

/* Card Grid */
.card-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 16px;
  max-width: 1200px;
  margin: auto;
  padding: 20px 40px;
}

/* Cards */
.card-item {
  cursor: pointer;
  overflow: visible;
  /* border-radius: 12px; */
  /* max-height: 400px; */
  box-shadow:
    0 4px 6px rgba(0,0,0,0.05),
    0 10px 20px rgba(0,0,0,0.08);
}

.card-item img {
  width: 100%;
  display: block;
  transition: transform 0.3s ease;
  object-fit: cover;
}

.card-item:hover img {
  transform: scale(1.03);
  box-shadow:
    0 10px 15px rgba(0,0,0,0.08),
    0 20px 35px rgba(0,0,0,0.12);
}

/* Modal */
.modal {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.9);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modal.active {
  display: flex;
}

.modal-content {
  width: 90%;
  max-width: 1400px;
  display: flex;
  gap: 30px;
  justify-content: center;
}

.modal-content img {
  width: 45%;
  max-height: 90vh;
  object-fit: contain;
  border-radius: 12px;
}

@media (max-width:500px) {

    .modal-content {
        flex-direction: column;
        align-items: center;
        width: 100%;
        gap: 10px;
    }

    .modal-content img {
        max-width: 50%;
        max-height: 95vh;

        width: auto;
        height: auto;

        object-fit: contain;
    }

  .card-grid {
    grid-template-columns: 1fr;
    gap: 24px;
    padding: 0 16px;
  }

  .card-item {
    height: auto;
  }

  .card-item img {
    width: 100%;
    height: auto;
    display: block;
  }

}

.close-btn {
  position: absolute;
  top: 20px;
  right: 30px;
  background: none;
  border: none;
  color: white;
  font-size: 3rem;
  cursor: pointer;
}

.values-item{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10px auto;
}
    .values-item h1 {
        font-size: 22px;
        font-weight: 900;
        margin: 0px auto;
        color: #dedeef;
    }
    .values-item p {
        font-size: 16px;
        text-align: center;
        margin-top: 5px;
        font-weight: 700;
        color: #777e91;
    }

.bio-container {
    display: flex;
    flex-direction: row;
    margin-left: auto;
    margin-right: auto;
    padding: 10px;
    align-items: center;
    max-width: 500px;
}
    .bio-container p {
        text-align: justify;
        max-width: 318px;
        margin-left: 8px;
        margin-right: auto;
    }

.bio-right {
    flex-direction: row-reverse;
}
    .bio-right p {
        margin-left: auto;
        margin-right: 8px;
    }

.bio-container-full {
    display: flex;
    flex-direction: row;
    margin-left: auto;
    margin-right: auto;
    padding: 10px;
    align-items: center;
    max-width: 500px;
}
    .bio-container-full p {
        text-align: justify;
        max-width: 495px;
    }

.photo-placeholder {
    width: 190px;
    min-height: 30px;
    margin-right: 8px;
    margin-left: auto;
}

.Marcus-photo {
    height: 210px;
    min-height: 10px;
    margin-right: 8px;
    margin-left: auto;
}

.contact-container {
    width: 90%;
    padding: 40px 10px;
    background: #b6dcf270;
    border: solid;
    border-color: #90caed;
    border-width: 4px;
    border-radius: 16px;
    max-width: 420px;
    margin: 40px auto;
    box-shadow: 0 4px 8px rgba(17,24,39,0.25),
    0 16px 32px rgba(17,24,39,0.35);
}

.contact-form {
    max-width: 300px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}
    .contact-form p {
        text-align: center;
        margin-top: 0px;
    }

contact-form div {
    display: block;
}

.field-container {
    position: relative;
    margin-bottom: 0px;
}

.input-label {
    margin-right: auto;
    color: #a2abc4;
    margin-bottom: -15px;
    margin-left: 8px;
}

.contact-form div {
    display: contents;
}

.contact-form input::placeholder, .contact-form textarea::placeholder {
    color: #899abb; /*#aaaaaa; #cecece*/
}

.contact-form input, .contact-form textarea {
    border: 0;
    outline: none;
    background: #f0f5f9; /*#333355 #828da7*/
    color: black;
    font-size: 12pt;
    padding: 8px;
    margin: 2px auto;
    width: 90%;
    min-height: 19px;
    border-radius: 3px;
    border-style: solid;
    border-width: 1px;
    border-color: #888888;
    transition: margin 0.5s ease;
    transform: translateY(-5px);
    font-family: "Aptos", sans-serif;
}

.contact-form textarea {
    height: 91px;
}

@media screen and (max-width: 400px) {
    /* .contact-form input, .contact-form textarea {
        width: 260px;
    } */
    .input-label {
        margin-left: 16px;
    }

}

input:focus, textarea:focus {
    margin-top: 20px;
}
    input:focus::placeholder, textarea:focus::placeholder {
        color: transparent;
    }

#message {
    resize: vertical; /* This allows the textarea to only be resized vertically */
}

button[type="submit"] {
    /*grid-column: 2 / -1;*/
    width: 108px;
    height: 36px;
    border-radius: 20px;
    border: 0;
    background: #287ff6;
    color: #FFF;
    font-size: 18px;
    margin: 12px 0px 0px auto;
}

@media screen and (max-width: 590px) {
    .content-section {
        padding: 10px 30px;
    }
    h1 {
        font-size: 48px;
        margin-top: 40px;
    }
    h2 {
        font-size: 26px;
    }
    h3 {
        font-size: 18pt;
        max-width: 420px;
    }
    p {
        font-size: 16px;
        max-width: 420px;
    }
    /* .prominent-logo {
        /*height: 155px;
    } */
    .bio-container {
        flex-direction: column;
        padding: 0;
    }
    .Marcus-photo {
        margin: 20px auto;
        height: 300px;
    }
    .bio-container p {
        max-width: 420px;
        margin: auto;
    }

}

@media screen and (max-width: 440px) {
    h1 {
        font-size: 37px;
        margin-top: 40px;
    }
    h3 {
        font-size: 15pt;
        max-width: 280px;
    }
    .prominent-logo {
        height: 155px;
    }

}

.footer-background {
    background: #F7F8FA;
    padding: 20px;
    box-shadow: 0px -1px 0px 0px #dceafe, 
                0px -2px 0px 0px #a6cafc, 
                0px -3px 0px 0px #5e9ff9, 
                0px -7px 0px 0px #287ff6, 
                0px -8px 0px 0px #4c95f8, 
                0px -9px 0px 0px #5e9ff9, 
                0px -8px 10px rgba(0, 0, 0, 0.5); /* Actual shadow */
}

.line {
    width: 130%;
    margin: auto -15%;
    height: 3px;
}

@media screen and (max-width: 720px) {
    .line {
        width: 100%;
        margin: auto;
    }

}

.footer {
    max-width: 540px;
    margin: 30px auto 0px auto;
}
    .footer p {
        opacity: 1;
        margin: 10px auto;
        text-align: center;
        font-size: 12px;
    }

.footer-button {
    color: #231f20;
    background: none;
    border: none;
    margin: 10px auto;
    cursor: pointer;
    font-family: "ocrbmt", sans-serif;
}

.footer-navs {
    display: flex;
    flex-direction: row;
}

.footer-bottom {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

.footer-socials {
    display: flex;
    flex-direction: row;
    margin: 10px auto 10px auto;
    text-align: right;
    width: 221px;
    align-items: center;
}
    .footer-socials a {
        border: none; /* Removes border around image links in some browsers */
        text-decoration: none; /* Ensures no underline appears */
        margin: 0 3px 0 3px;
    }
    .footer-socials img {
        height: 24px;
        margin-top: 5px;
    }
    .footer-socials p {
        margin-right: 10px;
    }

@media screen and (max-width: 640px) {
    .footer-bottom {
        flex-direction: column;
    }
    .footer p {
        margin: 0px;
    }

}
